#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, i, j, s=0;
	cin>>n;
    long long a[n];
    for(i=0; i<n; i++)
    cin>>a[i];
    i=n-1;
    while(i>=0 && a[i]>1){
        s+=a[i];
        /*cout<<a[i]<<endl;*/
        j=0;
        while(a[j]!=a[i] && j<n-1){
            a[j]--;
            j++;
        }
        /*for(int l=0; l<n; l++)
        cout<<a[l]<<' ';
        cout<<endl;*/
        i--;
    }
    cout<<s<<endl;
    return 0;
}
